Skip to main content
POST
Create an out-of-office entry for a team member

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

teamId
number
required
userId
number
required

Body

application/json
start
string<date-time>
required

The start date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-01T00:00:00.000Z"

end
string<date-time>
required

The end date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-10T23:59:59.999Z"

notes
string

Optional notes for the out of office entry.

Example:

"Vacation in Hawaii"

toUserId
number

The ID of the user covering for the out of office period, if applicable.

Example:

2

reason
enum<string>

the reason for the out of office entry, if applicable

Available options:
unspecified,
vacation,
travel,
sick,
public_holiday
Example:

"vacation"

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required